<?php 
session_start();
require('../cfg/res.php');

$xucodigo=$_POST['codigo'];
$xpuni=$_POST['puni'];
$xpvp=$_POST['pvp'];
$xpcp1=$_POST['pcp1'];
$xdcto=$_POST['dcto'];
$xice=$_POST['ice'];
$xiva=$_POST['iva'];
$xirbp=$_POST['irbp'];


// echo 'AQUI MI '.$xucodigo.$xiva;


  $itemu_sql='update item0 set ';
  // if(isset($_POST['carr']) && !empty($_POST['carr']))
  if(isset($_POST['puni']))
  {$itemu_sql.=' item_puni="'.$_POST['puni'].'",';}

  if(isset($_POST['pvp']))
  {$itemu_sql.=' item_pvp="'.$_POST['pvp'].'",';}

  if(isset($_POST['pcp1']))
  {$itemu_sql.=' item_pcp1="'.$_POST['pcp1'].'",';}

  if(isset($_POST['dcto']))
  {$itemu_sql.=' item_dcto="'.$_POST['dcto'].'",';}

  if(isset($_POST['ice']))
  {$itemu_sql.=' item_ice="'.$_POST['ice'].'",';}

  if(isset($_POST['iva']))
  {$itemu_sql.=' item_iva="'.$_POST['iva'].'",';}

  if(isset($_POST['irbp']))
  {$itemu_sql.=' item_irbp="'.$_POST['irbp'].'",';}

  if(isset($_POST['hoja']))
  {$itemu_sql.=' item_hoja="'.$_POST['hoja'].'",';}

  if(isset($_POST['carr']))
  {$itemu_sql.=' item_carr="'.$_POST['carr'].'",';}


  $itemu_sql.=' item_iuser=item_iuser';
  $itemu_sql.=' where item_codigo like "'.$xucodigo.'%"';

//   echo $itemu_sql;
  if($xucodigo=='')
  { echo ' ERROR EN CODIGO ';} 
  else
  {
    if(mysql_query($itemu_sql,$link_vcrx))
    {echo 'OK '.date("H:i:s");}
    else
    {echo 'X NO se actualizo X';}

    $sql_itemu='select * from item0 where item_codigo="'.$xucodigo.'"';
    $res_itemu=mysql_query($sql_itemu,$link_vcrx);

    $upcp1=mysql_result($res_itemu,0,'item_puni');
    $upuni=mysql_result($res_itemu,0,'item_puni');
    $udcto=mysql_result($res_itemu,0,'item_dcto');
    $uice=mysql_result($res_itemu,0,'item_ice');
    $uiva=mysql_result($res_itemu,0,'item_iva');
    $uirbp=mysql_result($res_itemu,0,'item_irbp');
    $upvp=mysql_result($res_itemu,0,'item_pvp');

    if($upuni>0 && $upvp==0){$upvp=(($upuni*(1+($uice/100)))*(1+($uiva/100)))+$uirbp;}  
    if($upuni==0 && $upvp>0){$upuni=(($upvp-$uirbp)/(1+($uiva/100)))/(1+($uice/100));}  

    if($upuni>0 && $upvp>0)
    {
      $upvp=(($upuni*(1+($uice/100)))*(1+($uiva/100)))+$uirbp;
      
      if (mb_stristr('rcsa',$_SESSION['user_vcrx_empr']))
      {$upvp=(($upuni*(1+($uice/100)))*(1+($uiva/100)))+$uirbp;}   

      if (mb_stristr('gmny.gnya.leie',$_SESSION['user_vcrx_empr']))
//       {$upuni=(($upvp-$uirbp)/(1+($uiva/100)))/(1+($uice/100));}   
    }

//     if(mb_stristr('gnya.gmny',$_SESSION['user_vcrx_empr']))
    {
      $sql_itemu ='update item0 set item_puni='.$upuni.', item_pvp='.$upvp.',';
      $sql_itemu.=' item_pcp1='.$upcp1.',';
      $sql_itemu.=' item_dcto='.$udcto.',';
      $sql_itemu.=' item_ice='.$uice.',';
      $sql_itemu.=' item_iva='.$uiva.',';
      $sql_itemu.=' item_irbp='.$uirbp.',';
      $sql_itemu.=' item_status=item_status';
      $sql_itemu.=' where  item_codigo="'.$xucodigo.'"';
      if (mb_stristr('gmny.gnya.leie',$_SESSION['user_vcrx_empr']))
      {
        $sql_itemu.=' and item_codigo like "'.substr($xucodigo,0,6).'%"';
        $sql_itemu.=' and length(item_codigo)<=8';
      }
      $res_itemu=mysql_query($sql_itemu,$link_vcrx);
    }

    // echo '****';
//     echo $sql_itemu;

  }


?>